> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> List all tasks. Results are sorted by creation date, from oldest to newest.

Required scopes: `task:read`, `object_configuration:read`, `record_permission:read`, `user_management:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/tasks
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/tasks:
    get:
      tags:
        - Tasks
      summary: List tasks
      description: >-
        List all tasks. Results are sorted by creation date, from oldest to
        newest.


        Required scopes: `task:read`, `object_configuration:read`,
        `record_permission:read`, `user_management:read`.
      parameters:
        - schema:
            type: integer
            description: >-
              The maximum number of results to return. Defaults to 500. See the
              [full guide to pagination here](/rest-api/guides/pagination).
            example: 10
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: >-
              The number of results to skip over before returning. Defaults to
              0. See the [full guide to pagination
              here](/rest-api/guides/pagination).
            example: 5
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - created_at:asc
              - created_at:desc
              - completed_at:asc
              - completed_at:desc
            description: >-
              Optionally sort the results. "created_at:asc" returns oldest
              results first, "created_at:desc" returns the newest results first.
              "completed_at:asc" and "completed_at:desc" sort by completion
              time. With "completed_at:asc", incomplete tasks (no completion
              date) appear first, followed by completed tasks oldest-first. With
              "completed_at:desc", completed tasks appear first (newest-first),
              followed by incomplete tasks. To exclude incomplete tasks, filter
              by is_completed. If unspecified, defaults to "created_at:asc"
              (oldest results first).
            example: created_at:desc
          required: false
          name: sort
          in: query
        - schema:
            type: string
            description: >-
              Pass a value to this parameter to filter results to only those
              tasks that contain the specified record in the `linked_records`
              property of the task. This parameter should identify the object
              that the linked record belongs to. For example, if filtering to
              tasks that link to a specific person record, this parameter should
              be `people`. If provided, `linked_record_id` must also be
              provided.
            example: people
          required: false
          name: linked_object
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Pass a value to this parameter to filter results to only those
              tasks that contain the specified record in the `linked_records`
              property of the task. This parameter should contain the record ID
              of the linked record. If provided, `linked_object` must also be
              provided.
            example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
          required: false
          name: linked_record_id
          in: query
        - schema:
            type:
              - string
              - 'null'
            description: >-
              Filter tasks by workspace member assignees. Workspace members can
              be referenced by either their email address or ID. Pass an empty
              value or the string `null` to find tasks with no assignee.
            examples:
              - 50cf242c-7fa3-4cad-87d0-75b1af71c57b
              - alice@attio.com
          required: false
          name: assignee
          in: query
        - schema:
            type: boolean
            description: >-
              Filter tasks by whether they have been completed. By default, both
              completed and non-completed tasks are returned. Specify `true` to
              only return completed tasks, or `false` to only return
              non-completed tasks.
            example: true
          required: false
          name: is_completed
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/task'
                required:
                  - data
                description: Success
      security:
        - oauth2:
            - task:read
            - object_configuration:read
            - record_permission:read
            - user_management:read
components:
  schemas:
    task:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace the task belongs to.
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            task_id:
              type: string
              format: uuid
              description: The ID of the task.
              example: 649e34f4-c39a-4f4d-99ef-48a36bef8f04
          required:
            - workspace_id
            - task_id
        content_plaintext:
          type: string
          description: >-
            The plaintext representation of the task content. Inline linked
            records will appear as "@record name" and are returned in the
            `linked_records` property.
          example: Follow up on current software solutions
        deadline_at:
          type:
            - string
            - 'null'
          description: The deadline date of the task. Returned as an ISO 8601 timestamp.
          example: '2023-01-01'
        is_completed:
          type: boolean
          description: Whether the task has been completed.
          example: false
        completed_at:
          type:
            - string
            - 'null'
          description: When the task was completed, or null if it has not been completed.
          example: '2022-11-21T13:22:49.061281000Z'
        linked_records:
          type: array
          items:
            type: object
            properties:
              target_object_id:
                type: string
                description: >-
                  The ID of the parent object the task refers to. At present,
                  only `people` and `companies` are supported.
                example: people
              target_record_id:
                type: string
                format: uuid
                description: The ID of the parent record the task refers to.
                example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
            required:
              - target_object_id
              - target_record_id
          description: >-
            Records linked to the task. Creating record links within task
            content text is not possible via the API at present.
        assignees:
          type: array
          items:
            type: object
            properties:
              referenced_actor_type:
                type: string
                enum:
                  - api-token
                  - workspace-member
                  - system
                  - app
                description: >-
                  The type of actor. [Read more information on actor types
                  here](/docs/actors).
                example: workspace-member
              referenced_actor_id:
                type: string
                format: uuid
                description: The ID of the workspace member actor assigned to this task.
                example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
            required:
              - referenced_actor_type
              - referenced_actor_id
          description: Workspace members assigned to this task.
        created_by_actor:
          type: object
          description: The actor that created this task.
          properties:
            id:
              type: string
              description: An ID to identify the actor.
              nullable: true
            type:
              type: string
              enum:
                - api-token
                - workspace-member
                - system
                - app
              nullable: true
              description: >-
                The type of actor. [Read more information on actor types
                here](/docs/actors).
          example:
            type: workspace-member
            id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
        created_at:
          type: string
          description: When the task was created.
          example: '2022-11-21T13:22:49.061281000Z'
      required:
        - id
        - content_plaintext
        - deadline_at
        - is_completed
        - completed_at
        - linked_records
        - assignees
        - created_by_actor
        - created_at
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````